Commit 900f63d0 authored by Michal Nowak's avatar Michal Nowak
Browse files

sid: Add respdiff dependencies

respdiff test depends on Python modules which currently can't be
satisfied with sid packages, we need to grab them from PyPI.
parent 897eaacb
......@@ -116,6 +116,12 @@ RUN if [ "@VERSION@" = "sid" ]; then \
clang-format \
clang-tidy; \
fi
# At least python3-lmdb in Debian sid is too old for respdiff
# (reported as https://bugs.debian.org/951336).
RUN if [ "@VERSION@" = "sid" ]; then \
apt-get -y install python3-pip; \
pip3 install -r https://gitlab.labs.nic.cz/knot/respdiff/raw/master/requirements.txt; \
fi
RUN if [ -n "@UNCRUSTIFY@" ]; then apt-get -y install uncrustify; fi
RUN if [ -n "@DNSTAP@" ]; then apt-get -y install libfstrm-dev libprotobuf-c-dev protobuf-c-compiler; fi
RUN if [ "@SOFTHSM@" -ge "2" ]; then apt-get -y install libsofthsm2 softhsm2; fi
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment